<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_76b2584d18510f887f4a6f6b81" . "f96952" => base64_decode("Y29tbW9uLmhlYWRlci5mb3J" . "1bQ=="), "_4cb84eb74ebb" . "3a0cd6e531eaa" . "8157092" => base64_decode("YXBwX2Zvcn" . "Vt"), "_0c5123aa7" . "44f69bbc0e" . "8b3ea2f6e8" . "47d" => base64_decode("bG1zZ" . "w=="), "_d36d5ad3900b429055d2ab3" . "05b68bdbd" => base64_decode("Zm9ydW1fbWVzc" . "2FnZQ=="));
use Claromentis\Search\ItemType;






class ForumApplication implements ApplicationInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_d36d5ad3900b429055d2ab305" . "b68bdbd"] => function () {
            return new ItemType\ForumMessage();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3" . "ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_76b2584d18510f887f4a6f6" . "b81f96952"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_4cb84eb74ebb3a0cd6e531e" . "aa8157092"];
    }
}